Page MenuHomePhabricator

Install Blubber on contint1001
Closed, ResolvedPublic

Description

We'll need Blubber installed on contint1001 so that we can build us some container images. To package or not to package...

Event Timeline

dduvall created this task.Sep 7 2017, 6:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2017, 6:11 PM
dduvall claimed this task.Sep 11 2017, 5:19 PM
dduvall triaged this task as Medium priority.
dduvall moved this task from Backlog to CI on the Release Pipeline board.

@Joe or @akosiaris, would love your review of the Debian package created in T175609: Package Blubber when you get a chance. We're hoping to get it into apt.wikimedia.org and onto contint1001 so we can start work on the Jenkins parts of the container pipeline.

@Joe or @akosiaris, would love your review of the Debian package created in T175609: Package Blubber when you get a chance. We're hoping to get it into apt.wikimedia.org and onto contint1001 so we can start work on the Jenkins parts of the container pipeline.

We do have the new thirdparty/ci component in the repository, but I suppose blubber isn't a thirdparty tool. Also, it doesn't have any conflicts in main and is relatively small (surprisingly so for a statically built golang binary) and standalone.

I guess I have no strong opinions on where this goes, feedback from opsen needed :)

Joe added a comment.Sep 29 2017, 5:28 AM

It should be built on boron (or copper) and added to the main component IMO.

I reviewed the packaging and it seems ok, although I think we might want to add a default config file to it at a later stage, and so on.

I'll work on this.

It should be built on boron (or copper) and added to the main component IMO.

Either main, or component/ci. If we don't intend to use it anywhere else than CI, it's the latter, otherwise the former.

Mentioned in SAL (#wikimedia-operations) [2017-10-03T15:24:48Z] <_joe_> uploading blubber to jessie-wikimedia T175296

Change 382004 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::ci::slave: install blubber

https://gerrit.wikimedia.org/r/382004

Change 382004 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::ci::slave: install blubber

https://gerrit.wikimedia.org/r/382004

hashar closed this task as Resolved.Oct 4 2017, 8:59 AM

blubber is on contint1001 and contint2001 (installed via role::ci:slave so that is on all production slaves). We might consider adding contint2001 as a Jenkins slave and have the blubber based jobs to roam on them (via the Jenkins label productionSlaves).